#include <iostream>
using namespace std;
int main(){
    long long l,m,n,kyde=0,br=0;
    cin>>l>>m>>n;
    while (kyde<=l){
        kyde+=m;
        m+=n;
        br++;
    }
    cout<<br;
    return 0;
}
